# Interface methods for submodule: ExtrapolateImageFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageFunctionProxy as _ImageFunctionProxy


# Interface methods for class: ExtrapolateImageFunction
class ExtrapolateImageFunctionProxy(_ImageFunctionProxy):
	def GetNameOfClass(self):
		""""""
		...

	def Evaluate(self, point: Sequence[float]) -> float:
		""""""
		...

	def EvaluateAtContinuousIndex(self, index) -> float:
		""""""
		...

	def EvaluateAtIndex(self, index: Sequence[int]) -> float:
		""""""
		...

